libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis_halfrate

declared in "vorbis/codec.h";

This function puts the Vorbis decoder into or out of half-rate mode. In half-rate mode, the audio is decoded to only half its original sampling rate. Half-rate mode speeds up decoding at the expense of decoded audio quality.

    extern int      vorbis_synthesis_halfrate(vorbis_info *v,int flag);

### Parameters

v
  The vorbis_info structure for the decoder instance.
flag
  Whether half-rate mode is to be turned on or off. Zero turns it off; nonzero turns it on.

### Return Values

> - 0 on success.
> - -1 if half-rate mode could not be set.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101